//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////
//
#if !defined(AFX_RCVEDITCTRL_H__4BA14663_5DE9_11D3_B4E7_A03B50C10000__INCLUDED_)
#define AFX_RCVEDITCTRL_H__4BA14663_5DE9_11D3_B4E7_A03B50C10000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// RcvEditCtrl.h : header file
//
#define WM_USER_RCV_CHAR (WM_USER+1000)

/////////////////////////////////////////////////////////////////////////////
// CRcvEditCtrl window

class CRcvEditCtrl : public CRichEditCtrl
{
// Construction
public:
	CRcvEditCtrl();

public:
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRcvEditCtrl)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CRcvEditCtrl();
	void SetCharFormat(LOGFONT lfFont, LOGFONT lfs, COLORREF crText,
				COLORREF crSentText,COLORREF crBackground );

	// Generated message map functions
protected:
	//{{AFX_MSG(CRcvEditCtrl)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnEditCopy();
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnKillfocus();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	afx_msg void OnRcvChar(UINT ch, LONG FontID);
	DECLARE_MESSAGE_MAP()
public:
	void TXStamp(BOOL m_EchoTXText, BOOL TXStart, BOOL UseLocalTime);
	void SetZeroCharDisplay( BOOL bSlash){m_bUseSlash = bSlash;};
	BOOL OKCopy();
	void CopyClip();
	void CancelSelection();
	void ClearAll();

	BOOL m_RcvCancel;

private:
	BOOL m_TXActive;
	void PutCharInWindow( BYTE ch );
	BYTE GetQue();
	BOOL CheckQue();
	BOOL PutQue( BYTE ch );
	INT m_QHead;
	INT m_QTail;
	BYTE m_RcvQue[256];
	INT m_LastFont;
	BOOL m_bUseSlash;
	BOOL m_CTRLKeyDown;
	INT m_LineCount;
	CHARFORMAT m_InsertFormat;
	CHARFORMAT m_SentFormat;
	UINT m_TimerID;
};

/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
// CTheirCallCtrl window

class CTheirCallCtrl : public CRichEditCtrl
{
// Construction
public:
	CTheirCallCtrl();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTheirCallCtrl)
	//}}AFX_VIRTUAL

// Implementation
public:
	void PasteClip();
	void ReFormat();
	virtual ~CTheirCallCtrl();

	// Generated message map functions
protected:
	//{{AFX_MSG(CTheirCallCtrl)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnUpdate();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
private:
	INT  m_OldLength;
	CHARFORMAT m_CharFormat;


};

/////////////////////////////////////////////////////////////////////////////
//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RCVEDITCTRL_H__4BA14663_5DE9_11D3_B4E7_A03B50C10000__INCLUDED_)
