// DemoDlg.cpp : implementation file
//
//////////////////////////////////////////////////////////////////////
//

#include "stdafx.h"
#include "winpsk.h"
#include "WinPSKDoc.h"
#include "DemoDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDemoDlg dialog


CDemoDlg::CDemoDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CDemoDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDemoDlg)
	m_SNR = 15.0;
	m_DemoMode = FALSE;
	m_FastDemo = FALSE;
	//}}AFX_DATA_INIT
//m_SNR = (double)(pDoc->m_pSettings->m_SNR)/10.0;
//pDoc->Calc_SNR(m_SNR);
}


void CDemoDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDemoDlg)
	DDX_Text(pDX, IDC_SNR, m_SNR);
	DDX_Check(pDX, IDC_DEMOMODE, m_DemoMode);
	DDX_Check(pDX, IDC_FASTDEMO, m_FastDemo);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CDemoDlg, CDialog)
	//{{AFX_MSG_MAP(CDemoDlg)
	ON_NOTIFY(UDN_DELTAPOS, IDC_SNRSPIN, OnDeltaposSnrspin)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDemoDlg message handlers
void CDemoDlg::OnDeltaposSnrspin(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_UPDOWN* pNMUpDown = (NM_UPDOWN*)pNMHDR;
	UpdateData(TRUE);
	m_SNR -= ((double)(pNMUpDown->iDelta))/2.0;
	if(m_SNR<0.0)
		m_SNR = 0.0;
	if(m_SNR>80.0)
		m_SNR = 80.0;
	UpdateData(FALSE);		//Put changed data into control
	*pResult = 0;
}

